import {
  Tree
} from '@nx/devkit';
import { LibGeneratorSchema } from './schema';

import { libraryGenerator } from '@nx/nest';
import path from 'path';

export async function libGenerator(tree: Tree, options: LibGeneratorSchema) {
  const opts: Parameters<(typeof libraryGenerator)>[1] = {
    directory: path.join(options.directory, options.name),
    name: options.name,
    buildable: true,
    linter: "eslint",
    service: true,
    strict: true,
    simpleName: true,
  };
  await libraryGenerator(tree, opts);
}

export default libGenerator;
